What operating system version do I need to use the Scotia iTRADE app?

The new Scotia iTRADE app supports iOS version 14+ and up. For Android, the app supports versions 6+ and up.

If you are experiencing errors or have issues accessing the sign in page for Scotia iTRADE app, please ensure that your device’s operating system is up to date.

Last updated September 1, 2022